Status: Closed

Priority: High

Assignee: Victor Olaya

Category: Processing/GRASS

Affected QGIS version:3.0.0 Regression?: No

Operating System: Windows 8 Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 26550

Description

Apparently grass algorithms are unable to read as input temporary layers from previous algorithms. I tried on two PCs, both using the

OSGeo4W and the standalone installer, always performing clean install after full removal. I tried with many different sequences of

algorithms and various valid datasets. Below a sample of what I constantly get in the modeler log:

.....

C:\PROGRA~1\QGIS3~1.0\bin>v.in.ogr min_area=0.0001 snap=-1.0

input="MultiPolygon?crs=EPSG:32737&field=id:long(10)&field=xmin:double(20,5)&field=xmax:double(20,5)&field=ymin:double(20,5)&field=ymax:double(20,5)&field=Coal:string(4)&uid={fffaf020-45da

ld=ymax:double(20,5)&field=Coal:string(4)&uid={fffaf020-45da-4ac2-bf30-2b1740a2ccf3}" output="vector_5ac9137c6cc6e2" --overwrite

-o

ERROR: Unable to open data source

<MultiPolygon?crs=EPSG:32737&field=id:long(10)&field=xmin:double(20,5)&field=xmax:double(20,5)&field=ymin:double(20,5)&field=ymax:double(20,5)&field=Coal:string

ax:double(20,5)&field=Coal:string(4)&uid={fffaf020-45da-4ac2-bf30-2b1740a2ccf3}>

Associated revisions

Revision 8ba762a6 - 2018-04-09 02:58 AM - Nyall Dawson

[processing][grass] Fix grass vector algs don't work with memory layers

Fixes broken grass algs inside models (fixes #18662)

Revision a675311d - 2018-04-09 06:37 AM - Nyall Dawson

[processing][grass] Fix grass vector algs don't work with memory layers

Fixes broken grass algs inside models (fixes #18662)

(cherry-picked from 8ba762a)

History

#1 - 2018-04-07 09:17 PM - Harrissou Santanna

- Status changed from Open to Feedback

Should be fixed thanks to https://github.com/qgis/QGIS/pull/6760 so try the next dev build and let us know.
https://github.com/qgis/QGIS/pull/6760


#2 - 2018-04-08 12:46 AM - Nyall Dawson

- Status changed from Feedback to Open

6760 relates only to GDAL provider, a separate fix is required here

#3 - 2018-04-09 02:58 AM - Nyall Dawson

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|8ba762a630672437e4df6dcd377cb0c9413b8a13.

2025-04-28 2/2


